A debug patch for when X11 isn't working on the RiscPC.
Jim Hawkins.

--- linux-2.6.22.2/drivers/video/fbmem.c.orig	Sat Aug 18 16:22:37 2007
+++ linux-2.6.22.2/drivers/video/fbmem.c	Sat Aug 18 16:32:46 2007
@@ -835,7 +835,43 @@
 			goto done;
 		}
 
+printk(KERN_WARNING "Before fb_check_var():\n");
+printk(KERN_WARNING "  xres            = %d\n", var->xres);
+printk(KERN_WARNING "  yres            = %d\n", var->yres);
+printk(KERN_WARNING "  xres_virtual    = %d\n", var->xres_virtual);
+printk(KERN_WARNING "  yres_virtual    = %d\n", var->yres_virtual);
+printk(KERN_WARNING "  bits_per_pixel  = %d\n", var->bits_per_pixel);
+printk(KERN_WARNING "  red.length      = %d\n", var->red.length);
+printk(KERN_WARNING "  green.length    = %d\n", var->green.length);
+printk(KERN_WARNING "  blue.length     = %d\n", var->blue.length);
+printk(KERN_WARNING "  pixclock        = %d\n", var->pixclock);
+printk(KERN_WARNING "  left_margin     = %d\n", var->left_margin);
+printk(KERN_WARNING "  right_margin    = %d\n", var->right_margin);
+printk(KERN_WARNING "  lower_margin    = %d\n", var->lower_margin);
+printk(KERN_WARNING "  upper_margin    = %d\n", var->upper_margin);
+printk(KERN_WARNING "  vsync_len       = %d\n", var->vsync_len);
+printk(KERN_WARNING "  hsync_len       = %d\n", var->hsync_len);
+printk(KERN_WARNING "  sync            = %d\n", var->sync);
+printk(KERN_WARNING "  vmode           = %d\n", var->vmode);
 		ret = info->fbops->fb_check_var(var, info);
+printk(KERN_WARNING "After fb_check_var():\n");
+printk(KERN_WARNING "  xres            = %d\n", var->xres);
+printk(KERN_WARNING "  yres            = %d\n", var->yres);
+printk(KERN_WARNING "  xres_virtual    = %d\n", var->xres_virtual);
+printk(KERN_WARNING "  yres_virtual    = %d\n", var->yres_virtual);
+printk(KERN_WARNING "  bits_per_pixel  = %d\n", var->bits_per_pixel);
+printk(KERN_WARNING "  red.length      = %d\n", var->red.length);
+printk(KERN_WARNING "  green.length    = %d\n", var->green.length);
+printk(KERN_WARNING "  blue.length     = %d\n", var->blue.length);
+printk(KERN_WARNING "  pixclock        = %d\n", var->pixclock);
+printk(KERN_WARNING "  left_margin     = %d\n", var->left_margin);
+printk(KERN_WARNING "  right_margin    = %d\n", var->right_margin);
+printk(KERN_WARNING "  lower_margin    = %d\n", var->lower_margin);
+printk(KERN_WARNING "  upper_margin    = %d\n", var->upper_margin);
+printk(KERN_WARNING "  vsync_len       = %d\n", var->vsync_len);
+printk(KERN_WARNING "  hsync_len       = %d\n", var->hsync_len);
+printk(KERN_WARNING "  sync            = %d\n", var->sync);
+printk(KERN_WARNING "  vmode           = %d\n", var->vmode);
 
 		if (ret)
 			goto done;
